﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     common_PacketDefine.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common/common_definitions.h>

// Defines packet-related constants.

namespace nn
{
namespace pia
{
namespace common
{

static const size_t PACKET_SIZE_MAX = 1462;
static const size_t PACKET_HEADER_SIZE = 12;
static const size_t PACKET_PAYLOAD_SIZE_MAX = PACKET_SIZE_MAX - PACKET_HEADER_SIZE;

static const size_t PROTOCOL_MESSAGE_SIZE_MAX = PACKET_PAYLOAD_SIZE_MAX;
static const size_t PROTOCOL_MESSAGE_HEADER_SIZE = 20;
static const size_t PROTOCOL_MESSGAE_PAYLOAD_SIZE_MAX = PROTOCOL_MESSAGE_SIZE_MAX - PROTOCOL_MESSAGE_HEADER_SIZE;
}
}
}  // end of namespace nn::pia::common
