﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     local_definitions.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


// Macro related to optimization for use by Pia library developers.
#define NN_PIA_OPTIMIZE_TRANSMIT_RAW_PACKET 0  //n1769

// For Pia library developers.
enum LocalFunctionBit
{
    LOCAL_FUNCTION_BIT_AROUND_NETWORK = (0x01 << 0),
    LOCAL_FUNCTION_BIT_HOST_MIGRATION = (0x01 << 1)
};

/*!
@brief  A convenience macro to shorten the namespace declaration.
*/
//#define NN_PIA_LOCAL_NAMESPACE_BEGIN namespace nn { namespace pia { namespace local {
//#define NN_PIA_LOCAL_NAMESPACE_END   }}}
//#define NN_PIA_LOCAL_USING_NAMESPACE using namespace nn::pia::local
