﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     session_SessionStationInfo.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/session/session_definitions.h>

namespace nn
{
namespace pia
{
namespace session
{

/*!
@brief  Represents information about a station that is participating in a session.

@date 2014-05-27  Initial version.
*/
class SessionStationInfo : public common::RootObject
{
protected:
    SessionStationInfo()
    {
    }
    virtual ~SessionStationInfo()
    {
    }
};
}
}
}  // end of namespace nn::pia::session
