﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Assert.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "Assert.h"


void SampleAssert(const char* cpPos, u32 line, const char* cpMsg, ...)
{
    if (nn::pia::common::CachedPrint::GetInstance() != NULL)
    {
        nn::pia::common::CachedPrint::GetInstance()->Flush();
    }

    PIA_BASIC_REPORT_ALWAYS("Pia sample assertion failed (%s, #%u)\n", cpPos, line);

    va_list ap;
    va_start(ap, cpMsg);
    PIA_BASIC_VREPORT_ALWAYS(cpMsg, ap);
    va_end(ap);

    PIA_BASIC_REPORT_ALWAYS("\n");
    PIA_BASIC_HALT("");
}
