﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     PiaVersion.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once


///< Contains member functions for displaying the version, revision, and other information.
class Version
{
public:
    Version(void);
    ~Version(void);

    void Print(void) const;

private:
    ///< The copy constructor and the assignment operator are private.
    Version(const Version&);
    Version& operator=(const Version&);
};
