﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     SampleLib.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/platform.h>

#include "Defines.h"
#include "AppTrace.h"
#include "Assert.h"
#include "ErrorHandling.h"
#include "MathUtil.h"
#include "PiaVersion.h"
#include "Print.h"
#include "Statistic.h"
#include "Vector2D.h"
#include "Indexer.h"

#if NN_PIA_CTR
#include "../SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#elif NN_PIA_WIN
#include "../SampleFramework/include/SampleFramework.h"
#elif NN_PIA_CAFE
#include "../SampleFramework/include/SampleFramework.h"
#include "Profiler.h"
#endif
