﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Global.cpp

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#include "Global.h"

#include "Config.h"

const u32 MATCHMAKE_GAME_MODE_OFFSET = 0;
const u32 MATCHMAKE_GAME_MODE_BASE = 50000;  // Use different values here for each Pia sample program.
const u32 MATCHMAKE_GAME_MODE = MATCHMAKE_GAME_MODE_BASE + 100000 * NN_PIA_PLATFORM + MATCHMAKE_GAME_MODE_OFFSET;

// Global variable instances.
enum MatchMode g_MatchMode = SAMPLE_CHAT_NET_MATCH_ANYBODY;
u32 g_GameMode = MATCHMAKE_GAME_MODE;
size_t g_MaxStationNum = MAX_CLIENTS;

Indexer<MAX_CONNECTION_NUM> g_Indexer;
