﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Global.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


// This header enumerates the global variables that are shared across scene transitions.

#pragma once

#include <pia/common.h>

#include "SampleLib/SampleLib.h"
#include "Types.h"


extern enum MatchMode g_MatchMode;
extern u32 g_GameMode;
extern size_t g_MaxStationNum;

extern Indexer<MAX_CONNECTION_NUM> g_Indexer;
