﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     ProfilingTest_Internet.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#ifndef PROFILING_TEST_INTERNET_H_
#define PROFILING_TEST_INTERNET_H_

#include "ProfilingTest_Common.h"
#include <pia/inet.h>

void MainLoopInternet();
bool MainLoopInternetCore();

nn::Result ProcessMatchmakeInternet();

nn::Result InitializeInternet();
void FinalizeInternet();

nn::Result StartupInternet();
void CleanupInternet();

nn::Result StartupSession();
void CleanupSession();

nn::Result Login();
void Logout();

bool IsNgsConnected();

#endif
