// ConvertInfo : FairlyLinguist 1.7.1.0
{
  var objTOC = new TocObject();
  objTOC.setTitle("CTR Pia Programming Manual");
  objTOC.setWindowTitle("CTR Pia Programming Manual");
  objTOC.disablePrintPage();
  objTOC.setSelectPackageEnabled(false);
  objTOC.setInsertTitlePage(true);
  objTOC.disableDisplayNumber();
  objTOC.disableViewFileIcon();
  objTOC.setBaselevel(0);
  objTOC.setSearchEnabled(true);
  objTOC.setLogoFile("template/img/logo.png");

// 1. Basic Guide
  objTOC.addHeader("ID_75242090", 0, "1. Basic Guide", "Pages/Page_75242090.html", "", false, "001");

// 1.1. Overview of Each Module
  objTOC.addItem("ID_75242090", 1, "1.1. Overview of Each Module", "Pages/Page_75242111.html", "", false, "001_001");

// 1.2. Expected Communication Environment
  objTOC.addItem("ID_75242090", 1, "1.2. Expected Communication Environment", "Pages/Page_80123704.html", "", false, "001_002");

// 1.3. Threading Model
  objTOC.addItem("ID_75242090", 1, "1.3. Threading Model", "Pages/Page_75242112.html", "", false, "001_004");

// 1.4. Setup Order
  objTOC.addItem("ID_75242090", 1, "1.4. Setup Order", "Pages/Page_75242104.html", "", false, "001_005");

// 1.5. Memory Management
  objTOC.addItem("ID_75242090", 1, "1.5. Memory Management", "Pages/Page_75242100.html", "", false, "001_006");

// 1.6. Asynchronous Processing
  objTOC.addItem("ID_75242090", 1, "1.6. Asynchronous Processing", "Pages/Page_75242101.html", "", false, "001_007");

// 1.7. Station IDs
  objTOC.addItem("ID_75242090", 1, "1.7. Station IDs", "Pages/Page_75242078.html", "", false, "001_008");

// 1.8. Error Handling
  objTOC.addItem("ID_75242090", 1, "1.8. Error Handling", "Pages/Page_75242099.html", "", false, "001_009");

// 1.9. Communication Compatibility
  objTOC.addItem("ID_75242090", 1, "1.9. Communication Compatibility", "Pages/Page_75242114.html", "", false, "001_010");

// 1.10. Glossary
  objTOC.addItem("ID_75242090", 1, "1.10. Glossary", "Pages/Page_75242103.html", "", false, "001_011");

// 2. PiaCommon Guide
  objTOC.addHeader("ID_75242092", 0, "2. PiaCommon Guide", "Pages/Page_75242092.html", "", false, "002");

// 2.1. Dispatching
  objTOC.addItem("ID_75242092", 1, "2.1. Dispatching", "Pages/Page_75242093.html", "", false, "002_001");

// 2.2. Log Output
  objTOC.addItem("ID_75242092", 1, "2.2. Log Output", "Pages/Page_75242089.html", "", false, "002_002");

// 2.3. Watermarking
  objTOC.addItem("ID_75242092", 1, "2.3. Watermarking", "Pages/Page_75242091.html", "", false, "002_003");

// 3. PiaLocal Guide
  objTOC.addHeader("ID_75242102", 0, "3. PiaLocal Guide", "Pages/Page_75242102.html", "", false, "003");

// 3.1. Basic Features of PiaLocal
  objTOC.addItem("ID_75242102", 1, "3.1. Basic Features of PiaLocal", "Pages/Page_75242069.html", "", false, "003_001");

// 3.2. Migrating From the UdsNode Send/Receive Functions to UnreliableProtocol
  objTOC.addItem("ID_75242102", 1, "3.2. Migrating From the UdsNode Send/Receive Functions to UnreliableProtocol", "Pages/Page_75242082.html", "", false, "003_002");

// 3.3. Migrating From the UdsNode Network Management API to the LocalNetwork Mesh API
  objTOC.addItem("ID_75242102", 1, "3.3. Migrating From the UdsNode Network Management API to the LocalNetwork Mesh API", "Pages/Page_75242068.html", "", false, "003_003");

// 3.4. Migrating From the Mesh API to the Session API (PiaLocal)
  objTOC.addItem("ID_75242102", 1, "3.4. Migrating From the Mesh API to the Session API (PiaLocal)", "Pages/Page_75242079.html", "", false, "003_004");

// 4. PiaInet Guide
  objTOC.addHeader("ID_75242139", 0, "4. PiaInet Guide", "Pages/Page_75242139.html", "", false, "004");

// 4.1. Basic Features of PiaInet
  objTOC.addItem("ID_75242139", 1, "4.1. Basic Features of PiaInet", "Pages/Page_75242140.html", "", false, "004_001");

// 4.2. Advanced Features of PiaInet
  objTOC.addItem("ID_75242139", 1, "4.2. Advanced Features of PiaInet", "Pages/Page_173217662.html", "", false, "004_002");

// 4.3. Migrating From the Mesh API to the Session API (PiaInet)
  objTOC.addItem("ID_75242139", 1, "4.3. Migrating From the Mesh API to the Session API (PiaInet)", "Pages/Page_75242074.html", "", false, "004_004");

// 5. PiaTransport Guide
  objTOC.addHeader("ID_75242081", 0, "5. PiaTransport Guide", "Pages/Page_75242081.html", "", false, "005");

// 5.1. PiaTransport Overview
  objTOC.addItem("ID_75242081", 1, "5.1. PiaTransport Overview", "Pages/Page_75242087.html", "", false, "005_001");

// 5.2. Basic Features - Basic Processes
  objTOC.addItem("ID_75242081", 1, "5.2. Basic Features - Basic Processes", "Pages/Page_75242094.html", "", false, "005_002");

// 5.3. Basic Features - UnreliableProtocol
  objTOC.addItem("ID_75242081", 1, "5.3. Basic Features - UnreliableProtocol", "Pages/Page_75242077.html", "", false, "005_003");

// 5.4. Basic Features - ReliableProtocol
  objTOC.addItem("ID_75242081", 1, "5.4. Basic Features - ReliableProtocol", "Pages/Page_75242085.html", "", false, "005_004");

// 5.5. Advanced Features - ReliableBroadcastProtocol
  objTOC.addItem("ID_75242081", 1, "5.5. Advanced Features - ReliableBroadcastProtocol", "Pages/Page_75242088.html", "", false, "005_005");

// 5.6. Debug Support - PiaTransport Traces
  objTOC.addItem("ID_75242081", 1, "5.6. Debug Support - PiaTransport Traces", "Pages/Page_75242083.html", "", false, "005_006");

// 5.7. Debug Support - Latency Emulation
  objTOC.addItem("ID_75242081", 1, "5.7. Debug Support - Latency Emulation", "Pages/Page_75242084.html", "", false, "005_007");

// 5.8. Debug Support - Packet Loss Emulation
  objTOC.addItem("ID_75242081", 1, "5.8. Debug Support - Packet Loss Emulation", "Pages/Page_89988321.html", "", false, "005_008");

// 5.9. Debug Support - Transport Analysis Feature
  objTOC.addItem("ID_75242081", 1, "5.9. Debug Support - Transport Analysis Feature", "Pages/Page_75242096.html", "", false, "005_009");

// 6. PiaSession Guide
  objTOC.addHeader("ID_75242141", 0, "6. PiaSession Guide", "Pages/Page_75242141.html", "", false, "006");

// 6.1. PiaSession Overview
  objTOC.addItem("ID_75242141", 1, "6.1. PiaSession Overview", "Pages/Page_75242137.html", "", false, "006_001");

// 6.2. Overview of PiaSession Features
  objTOC.addItem("ID_75242141", 1, "6.2. Overview of PiaSession Features", "Pages/Page_75242070.html", "", false, "006_002");

// 6.3. Basic Features - Initializing and Finalizing
  objTOC.addItem("ID_75242141", 1, "6.3. Basic Features - Initializing and Finalizing", "Pages/Page_75242060.html", "", false, "006_003");

// 6.4. Basic Features - Browse Matchmaking
  objTOC.addItem("ID_75242141", 1, "6.4. Basic Features - Browse Matchmaking", "Pages/Page_75242071.html", "", false, "006_004");

// 6.5. Basic Features - Random Matchmaking
  objTOC.addItem("ID_75242141", 1, "6.5. Basic Features - Random Matchmaking", "Pages/Page_75242065.html", "", false, "006_005");

// 6.6. Basic Features - Processing During Session Participation
  objTOC.addItem("ID_75242141", 1, "6.6. Basic Features - Processing During Session Participation", "Pages/Page_75242061.html", "", false, "006_006");

// 6.7. Basic Features - Changing the Session Invitation State
  objTOC.addItem("ID_75242141", 1, "6.7. Basic Features - Changing the Session Invitation State", "Pages/Page_96560185.html", "", false, "006_007");

// 6.8. Basic Features - Leaving Sessions
  objTOC.addItem("ID_75242141", 1, "6.8. Basic Features - Leaving Sessions", "Pages/Page_75242067.html", "", false, "006_008");

// 6.9. Basic Features - Host Migration
  objTOC.addItem("ID_75242141", 1, "6.9. Basic Features - Host Migration", "Pages/Page_75242135.html", "", false, "006_009");

// 6.10. Advanced Features - Relay Communication Feature
  objTOC.addItem("ID_75242141", 1, "6.10. Advanced Features - Relay Communication Feature", "Pages/Page_75242138.html", "", false, "006_010");

// 6.11. Advanced Features - Friend Join-In Matchmaking
  objTOC.addItem("ID_75242141", 1, "6.11. Advanced Features - Friend Join-In Matchmaking", "Pages/Page_75242066.html", "", false, "006_011");

// 6.12. Advanced Features - Joint Session Feature
  objTOC.addItem("ID_75242141", 1, "6.12. Advanced Features - Joint Session Feature", "Pages/Page_75242108.html", "", false, "006_012");

// 6.13. Advanced Features - Adjusting Session Behavior
  objTOC.addItem("ID_75242141", 1, "6.13. Advanced Features - Adjusting Session Behavior", "Pages/Page_75242062.html", "", false, "006_013");

// 6.14. Advanced Features - Station Identification Tokens
  objTOC.addItem("ID_75242141", 1, "6.14. Advanced Features - Station Identification Tokens", "Pages/Page_75242063.html", "", false, "006_014");

// 6.15. Advanced Features - Approval for Joining a Session
  objTOC.addItem("ID_75242141", 1, "6.15. Advanced Features - Approval for Joining a Session", "Pages/Page_75242064.html", "", false, "006_015");

// 6.16. Advanced Features - Synchronization Clock
  objTOC.addItem("ID_75242141", 1, "6.16. Advanced Features - Synchronization Clock", "Pages/Page_75242072.html", "", false, "006_016");

// 6.17. Advanced Features - Session Password Settings
  objTOC.addItem("ID_75242141", 1, "6.17. Advanced Features - Session Password Settings", "Pages/Page_75242086.html", "", false, "006_017");

// 6.18. Advanced Features - Getting the Number of Participants in Matchmaking Sessions
  objTOC.addItem("ID_75242141", 1, "6.18. Advanced Features - Getting the Number of Participants in Matchmaking Sessions", "Pages/Page_80122224.html", "", false, "006_018");

// 6.19. Advanced Features - Direct Mesh Operations
  objTOC.addItem("ID_75242141", 1, "6.19. Advanced Features - Direct Mesh Operations", "Pages/Page_75242073.html", "", false, "006_019");

// 6.19.1. Basic Mesh Network Features
  objTOC.addItem("ID_75242141", 2, "6.19.1. Basic Mesh Network Features", "Pages/Page_75242110.html", "", false, "006_019_001");

// 6.19.2. Advanced Mesh Network Features
  objTOC.addItem("ID_75242141", 2, "6.19.2. Advanced Mesh Network Features", "Pages/Page_75242117.html", "", false, "006_019_002");

// 6.19.3. Directly Controlling Meshes for Local Communications
  objTOC.addItem("ID_75242141", 2, "6.19.3. Directly Controlling Meshes for Local Communications", "Pages/Page_75242109.html", "", false, "006_019_003");

// 6.19.4. Directly Controlling Meshes for Internet Communications
  objTOC.addItem("ID_75242141", 2, "6.19.4. Directly Controlling Meshes for Internet Communications", "Pages/Page_75242116.html", "", false, "006_019_004");

// 6.20. Advanced Features - Bit Rate Detection Feature
  objTOC.addItem("ID_75242141", 1, "6.20. Advanced Features - Bit Rate Detection Feature", "Pages/Page_87935708.html", "", false, "006_020");

// 6.21. Debug Support - Matchmaking Analysis Feature
  objTOC.addItem("ID_75242141", 1, "6.21. Debug Support - Matchmaking Analysis Feature", "Pages/Page_75242115.html", "", false, "006_021");

// 6.22. Information - Calls to the Server API
  objTOC.addItem("ID_75242141", 1, "6.22. Information - Calls to the Server API", "Pages/Page_75242128.html", "", false, "006_022");

// 7. PiaSync Guide
  objTOC.addHeader("ID_75242136", 0, "7. PiaSync Guide", "Pages/Page_75242136.html", "", false, "007");

// 7.1. PiaSync Overview
  objTOC.addItem("ID_75242136", 1, "7.1. PiaSync Overview", "Pages/Page_75242105.html", "", false, "007_001");

// 7.2. Basic Features of PiaSync
  objTOC.addItem("ID_75242136", 1, "7.2. Basic Features of PiaSync", "Pages/Page_75242134.html", "", false, "007_002");

// 7.3. Advanced Features of PiaSync
  objTOC.addItem("ID_75242136", 1, "7.3. Advanced Features of PiaSync", "Pages/Page_75242095.html", "", false, "007_003");

// 7.4. Reference for Developing Applications With Synchronized Input Communication
  objTOC.addItem("ID_75242136", 1, "7.4. Reference for Developing Applications With Synchronized Input Communication", "Pages/Page_75242106.html", "", false, "007_004");

// 8. PiaClone Guide
  objTOC.addHeader("ID_75242131", 0, "8. PiaClone Guide", "Pages/Page_75242131.html", "", false, "008");

// 8.1. PiaClone Overview
  objTOC.addItem("ID_75242131", 1, "8.1. PiaClone Overview", "Pages/Page_75242120.html", "", false, "008_001");

// 8.2. Basic Features of PiaClone
  objTOC.addItem("ID_75242131", 1, "8.2. Basic Features of PiaClone", "Pages/Page_75242121.html", "", false, "008_002");

// 8.3. PiaClone Detailed Specifications
  objTOC.addItem("ID_75242131", 1, "8.3. PiaClone Detailed Specifications", "Pages/Page_75242119.html", "", false, "008_003");

// 9. PiaReckoning Guide
  objTOC.addHeader("ID_75242127", 0, "9. PiaReckoning Guide", "Pages/Page_75242127.html", "", false, "009");

// 9.1. PiaReckoning Overview
  objTOC.addItem("ID_75242127", 1, "9.1. PiaReckoning Overview", "Pages/Page_75242133.html", "", false, "009_001");

// 9.2. Basic Features of PiaReckoning
  objTOC.addItem("ID_75242127", 1, "9.2. Basic Features of PiaReckoning", "Pages/Page_75242130.html", "", false, "009_002");

// 9.3. ReckoningStrategy Customization
  objTOC.addItem("ID_75242127", 1, "9.3. ReckoningStrategy Customization", "Pages/Page_75242132.html", "", false, "009_003");

// 10. PiaChat Guide
  objTOC.addHeader("ID_75242118", 0, "10. PiaChat Guide", "Pages/Page_75242118.html", "", false, "010");

// 10.1. PiaChat Overview
  objTOC.addItem("ID_75242118", 1, "10.1. PiaChat Overview", "Pages/Page_75242123.html", "", false, "010_001");

// 10.2. Basic Features of PiaChat
  objTOC.addItem("ID_75242118", 1, "10.2. Basic Features of PiaChat", "Pages/Page_75242124.html", "", false, "010_002");

// 10.3. Migrating From VCT to PiaChat
  objTOC.addItem("ID_75242118", 1, "10.3. Migrating From VCT to PiaChat", "Pages/Page_75242125.html", "", false, "010_004");

// 11. Appendix
  objTOC.addHeader("ID_75242098", 0, "11. Appendix", "Pages/Page_75242098.html", "", false, "011");

// 11.1. Differences Between NetZ in NEX and PiaSession
  objTOC.addItem("ID_75242098", 1, "11.1. Differences Between NetZ in NEX and PiaSession", "Pages/Page_75242097.html", "", false, "011_001");

// 11.2. Migrating From NetZ in NEX to PiaSession
  objTOC.addItem("ID_75242098", 1, "11.2. Migrating From NetZ in NEX to PiaSession", "Pages/Page_75242076.html", "", false, "011_002");

// 11.3. NAT Traversal Reference
  objTOC.addItem("ID_75242098", 1, "11.3. NAT Traversal Reference", "Pages/Page_75242075.html", "", false, "011_003");


  objTOC.addHeader("HISTORY", 0, "Revision History", "history.html", "", false, "991");

  Reassemble.objectTocData = objTOC;
}
