﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     common_definitions.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/definitions.h>
#include <pia/assert.h>

//n1769: Improved the <tt>common::PacketOld</tt> assignment operators.
#define NN_PIA_OPTIMIZE_PACKET_ASSIGN_OPERATOR 0

#define NN_PIA_EXPERIMENT_MONITORING 1  //n1769

#define NN_PIA_EXPERIMENT_MONITORING_DATA_TRACE 0


//n1589: The following header files are included for all classes in this module.
#include <pia/common/common_RootObject.h>
#include <pia/common/common_CachedPrint.h>
#include <pia/common/common_Log.h>
#include <pia/common/common_Trace.h>
#include <pia/common/common_types.h>
