﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     definitions.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

//n1589: Includes made here are usually used by all classes in all modules of the Pia library.

//Declaration for generating references for the debug macros.
/*
Switched to a comment style that Doxygen does not recognize to prevent modules from being output as a reference.

@defgroup pia_common_debug_macro  Represents macro definitions provided by the Pia library for debugging.
@brief  Specifies the debugging macros provided by the Pia library.
    @{
    @}
*/

#include <pia/settings.h>
#include <pia/macros.h>
#include <pia/platform.h>

#include <pia/types.h>
#include <pia/result.h>
