﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     local_LocalSessionTypes.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/local/local_definitions.h>
#include <pia/local/local_LocalNetworkSetting.h>

namespace nn
{
namespace pia
{
namespace local
{

const u32 GATHERINGHOLDER_MAX_SIZE = SCAN_NETWORK_NUM_MAX;  //!< The maximum number of network scan results to keep.

}
}
}  // end of namespace nn::pia::local
