﻿/*---------------------------------------------------------------------------*
  Project: Pia
  File: version.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law. They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/

#ifndef NN_PIA_VERSION_H_
#define NN_PIA_VERSION_H_


#define PIA_VERSION_DATE           20170628
#define PIA_VERSION_MAJOR          4
#define PIA_VERSION_MINOR          11
#define PIA_VERSION_MICRO          3
#define PIA_VERSION_PATCH
#define PIA_VERSION_REVISION       29140

#define PIA_VER_STR(version) PIA_VER_STR_(version)
#define PIA_VER_STR_(version) #version

// Only the first 16 characters can be embedded as middleware information.
#define PIA_VERSION_STRING "PIA_"PIA_VER_STR(PIA_VERSION_MAJOR)"_"PIA_VER_STR(PIA_VERSION_MINOR)"_"PIA_VER_STR(PIA_VERSION_MICRO)PIA_VERSION_PATCH


#endif // end of NN_PIA_VERSION_H_
