﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_Chat_Setup.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/platform.h>
#include <pia/chat.h>


nn::Result Chat_InitializePiaChat(size_t maxStationNum);
void Chat_FinalizePiaChat();
nn::pia::chat::VoiceProtocol* Chat_GetVoiceProtocol();
