﻿/*---------------------------------------------------------------------------*
  Project:  Pia
  File:     Shared_Clone_Setup.h

  Copyright Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
 *---------------------------------------------------------------------------*/


#pragma once

#include <pia/common.h>
#include <pia/transport.h>
#include <pia/clone.h>

// Initialize PiaClone.
void Clone_InitializePiaClone();
void Clone_InitializePiaClone(const nn::pia::clone::CloneProtocol::Setting& setting);

// Finalize PiaClone.
void Clone_FinalizePiaClone();

// Get an instance of CloneProtocol.
nn::pia::clone::CloneProtocol* Clone_GetCloneProtocol();
